
import axios from "@/utils/axios";
export default {
  /**
  * 专利详情
  */
  selectPatentDetail(data) {
    return axios.post("/xiaoshi/patent/selectPatentDetail", data);
  },
  /**
   * 专利数据库查询专利清单（分页）
   * @param {*} data 
   * @returns 
   */
  QueryPatent(data) {
    return axios.post("/xiaoshi/patent/queryPatent", data);
  },
  /**
   * 专利数据库查询专利清单（从第几条查多少条）
   * @param {*} data 
   * @returns 
   */
  getPatentPageMessage(data) {
    return axios.post("/xiaoshi/patent/getPatentPageMessage", data);
  },
  /**
   * 根据专利号查询专利
   * @param {*} params 
   * @returns 
   */
  queryPatentByNo(params) {
    return axios.get("/xiaoshi/patent/queryPatentByNo", { params });
  },
  /**
   * 根据专利号查询专利(外部)
   * @param {*} params 
   * @returns 
   */
  queryPatentByNoFromWeb(params) {
    return axios.get("/xiaoshi/patent/queryPatentByNoFromWeb", { params });
  },
  /**
   * 合并发明人、申请人、权利人添加
   * @param {*} data 
   * @returns 
   */
  mergePerson(data) {
    return axios.post("/xiaoshi/patent/mergePerson", data);
  },
  /**
   * 合并发明人、申请人、权利人编辑
   * @param {*} data 
   * @returns 
   */
  updateMergePerson(data) {
    return axios.post("/xiaoshi/patent/updateMergePerson", data);
  },
  /**
   * 合并发明人、申请人、权利人编辑再次合并
   * @param {*} data 
   * @returns 
   */
  mergePersonAgain(data) {
    return axios.post("/xiaoshi/patent/mergePersonAgain", data);
  },
  /**
   * 合并发明人、申请人、权利人查询列表
   * @param {*} data 
   * @returns 
   */
  selectMergePerson(data) {
    return axios.post("/xiaoshi/patent/selectMergePerson", data);
  },
  /**
   * 获取当前专题库所有的发明人、申请人、权利人
   * @param {*} data 
   * @returns 
   */
  getMergePerson(data) {
    return axios.post("/xiaoshi/patent/getMergePerson", data);
  },
  /**
   * 查看合并的信息
   * @param {*} data 
   * @returns 
   */
  selectMergePersonDetail(data) {
    return axios.post("/xiaoshi/patent/selectMergePersonDetail", data);
  },
  /**
   * 移除单个合并人的信息
   * @param {*} data 
   * @returns 
   */
  delMergedName(data) {
    return axios.post("/xiaoshi/patent/delMergedName", data);
  },
  /**
   * 获取所有国家
   * @param {*} params 
   * @returns 
   */
  getAllCountry(params) {
    return axios.get("/xiaoshi/patent/getAllCountry", {params});
  },
  /**
   * 获取所有省市区
   * @param {*} params 
   * @returns 
   */
  getAllProvince(params) {
    return axios.get("/xiaoshi/patent/getAllProvince", {params});
  },
  /**
   * 合并发明人、申请人、权利人列表的删除
   * @param {*} data 
   * @returns 
   */
  delMergePerson(data) {
    return axios.post("/xiaoshi/patent/delMergePerson", data);
  },
  /* 
  * 专利详情内部同族专利查询
   * @param {*} data 
   * @returns 
   */
  selectKinByPatentNo(data) {
    return axios.post("/xiaoshi/patent/selectKinByPatentNo", data);
  },
  /* 
  * 专利详情外部同族专利查询
   * @param {*} data 
   * @returns 
   */
  queryExternalFamily(data) {
    return axios.post("/xiaoshi/patentStar/queryExternalFamily", data);
  },
  /**
   * 专利详情内部查询权利要求
   * @param {*} data 
   * @returns 
   */
  queryClaimByPatentNo(params) {
    return axios.get("/xiaoshi/patent/queryClaimByPatentNo", { params });
  },
  /**
   * 专利详情外部(检索)查询权利要求
   * @param {*} params 
   * @returns 
   */
  queryExternalClaim(params) {
    return axios.get("/xiaoshi/patentStar/queryExternalClaim", {params});
  },
  /**
   * 专利详情外部(检索)查询权利要求
   * @param {*} data 
   * @returns 
   */
  queryExternalDetail(data) {
    return axios.post("/xiaoshi/patentStar/queryExternalDetail", data);
  },
  /**
   * 专利详情外部(检索)获得中国专利pdf
   * @param {*} params 
   * @returns 
   */
  getCnPdf(params) {
    return axios.get("/xiaoshi/patentStar/getExternalTextPdf", {params});
  },
  /**
   * 专利详情外部(检索)获得中国专利pdf全文文本
   * @param {*} params 
   * @returns 
   */
  getCnFullText(params) {
    return axios.get("/xiaoshi/patentStar/getCnFullText", {params});
  },
  /**
   * 专利详情内部获得中国专利pdf
   * @param {*} params 
   * @returns 
   */
  getTextPdf(params) {
    return axios.get("/xiaoshi/patent/getTextPdf", {params});
  },
  /**
   * 专利详情外部获得专利附图
   * @param {*} params 
   * @returns 
   */
  getExternalFigure(params) {
    return axios.get("/xiaoshi/patentStar/getExternalFigure", {params});
  },
  /**
   * 专利详情内部获得专利附图
   * @param {*} params 
   * @returns 
   */
  getFigure(params) {
    return axios.get("/xiaoshi/patent/getFigure", {params});
  },
  /**
   * 专利详情外部获得法律事务状态
   * @param {*} params 
   * @returns 
   */
  getLegalStatus(params) {
    return axios.get("/xiaoshi/patentStar/getLegalStatus", {params});
  },
  /**
   * 专利详情外部获得摘要附图
   * @param {*} params 
   * @returns 
   */
  getPictureGuid(params) {
    return axios.get("/xiaoshi/patentStar/getPictureGuid", {params});
  },
  /**
   * 专利列表导出PDF首页
   * @param {*} data 
   * @returns 
   */
  exportPDFFirstPage(data) {
    return axios.post("/xiaoshi/patent/exportPDFFirstPage", data);
  },
  /**
   * 专利列表导出专利
   * @param {*} data 
   * @returns 
   */
  exportPatentExcel(data) {
    return axios.post("/xiaoshi/patent/exportPatentExcel", data);
  },
  /**
   * 专利关键词高亮添加
   * @param {*} data 
   * @returns 
   */
  saveOrUpdate(data) {
    return axios.post("/xiaoshi/hightlightTemplate/saveOrUpdate", data);
  },
  /**
   * 专利关键词高亮查询
   * @param {*} params 
   * @returns 
   */
  queryHightLight(params) {
    return axios.get("/xiaoshi/hightlightTemplate/query", {params});
  },
  /**
   * 专利关键词高亮删除
   * @param {*} data 
   * @returns 
   */
  deleteHightLight(data) {
    return axios.post("/xiaoshi/hightlightTemplate/delete", data);
  },
  /**
   * 添加标签
   * @param {*} data 
   * @returns 
   */
  addPatentLabel(data) {
    return axios.post("/xiaoshi/patentLabel/addPatentLabel", data);
  },
  /*
   * 批注添加
   * @param {*} data 
   * @returns 
   */
  addScratchWords(data) {
    return axios.post("/xiaoshi/scratchWords/add", data);
  },
  /**
   * 批注查询
   * @param {*} data 
   * @returns 
   */
  queryScratchWords(data) {
    return axios.post("/xiaoshi/scratchWords/queryScratchWords", data);
  },
  /**
   * 批注更新
   * @param {*} data 
   * @returns 
   */
  updateDimension(data) {
    return axios.post("/xiaoshi/scratchWords/update", data);
  },
  /**
   * 批注删除
   * @param {*} data 
   * @returns 
   */
  removeScratchWords(data) {
    return axios.post("/xiaoshi/scratchWords/removeScratchWords", data);
  },
  /**
   * 批注分组
   * @param {*} data 
   * @returns 
   */
  queryScratchWordsGroup(data) {
    return axios.post("/xiaoshi/scratchWords/queryScratchWordsGroup", data);
  },
  /**
   * 查询权利要求树
   * @param {*} params 
   * @returns 
   */
  getPatentRightTree(params) {
    return axios.get("/xiaoshi/feature/getPatentRightTree", {params});
  },
}